Subject: Re: linux-next: build failure after merge of the kunit-next tree

From: "Rafael J. Wysocki" <[email-masked]>
Date: Fri, 17 Jan 2020 00:27:41 +0100

On Thursday, January 16, 2020 12:23:09 PM CET Alan Maguire wrote:
> On Thu, 16 Jan 2020, Stephen Rothwell wrote:
> 
> > Hi all,
> > 
> > After merging the kunit-next tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > x86_64-linux-gnu-ld: drivers/base/test/property-entry-test.o: in function `kunit_test_suites_init':
> > property-entry-test.c:(.text+0x26): undefined reference to `kunit_run_tests'
> > x86_64-linux-gnu-ld: drivers/base/test/property-entry-test.o: in function `pe_test_reference':
> > property-entry-test.c:(.text+0x275): undefined reference to `kunit_binary_assert_format'
> > x86_64-linux-gnu-ld: property-entry-test.c:(.text+0x2c4): undefined reference to `kunit_do_assertion'
> > 
> > and lots more ...
> > 
> > Caused by commit
> > 
> >   27f9d7e984d9 ("software node: introduce CONFIG_KUNIT_DRIVER_PE_TEST")
> > 
> > from the pm tree interacting with commit
> > 
> >   35c57fc3f8ea ("kunit: building kunit as a module breaks allmodconfig")
> > 
> > I have disabled CONFIG_KUNIT_DRIVER_PE_TEST for today.
> >
> 
> Apologies again, I should have explicitly specified that
> CONFIG_KUNIT_DRIVER_PE_TEST depends on KUNIT=y; I've
> sent a patch to fix this:
> 
> https://lore.kernel.org/lkml/[email-masked]/T/#u

I have folded this into the original patch and remerged the linux-next branch.

Thanks!